## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 23;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/pycontribs/subprocess-tee

%bcond_without tests

Name:           python-subprocess-tee
Version:        0.4.1
%forgemeta
Release:        %autorelease
Summary:        A subprocess.run that works like tee, being able to display output in real time while still capturing it
URL:            %{forgeurl}
Source:         %{pypi_source subprocess-tee}
Patch:          0001-Remove-unnecessary-test-deps.patch
License:        MIT
BuildArch:      noarch

BuildRequires: python3-devel

%global common_description %{expand:
This package provides an drop-in alternative to subprocess.run that captures
the output while still printing it in real time, just the way tee does.
}

%description %{common_description}


%package -n python3-subprocess-tee
Summary: %summary

%description -n python3-subprocess-tee %{common_description}


%prep
%autosetup -p1 -n subprocess-tee-%{version}


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x test}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files subprocess_tee


%if %{with tests}
%check
# We don't want to depend on enrich
%pytest test -k "not test_molecule" --ignore test/test_rich.py
%endif


%files -n python3-subprocess-tee -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.4.1-23
- Rebuilt for Python 3.14

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.4.1-22
- Bootstrap for Python 3.14

* Sun Jun 01 2025 Maxwell G <maxwell@gtmx.me> - 0.4.1-21
- Remove enrich test dependency

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.4.1-18
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.4.1-17
- Bootstrap for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 19 2023 Maxwell G <maxwell@gtmx.me> - 0.4.1-13
- Fix package build.

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 20 2023 Python Maint <python-maint@redhat.com> - 0.4.1-6
- Rebuilt for Python 3.12

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.4.1-5
- Bootstrap for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 17 2022 Maxwell G <gotmax@e.email> - 0.4.1-3
- Add README to package

* Sat Dec 17 2022 Maxwell G <gotmax@e.email> - 0.4.1-2
- Rebase test deps patch

* Sat Dec 17 2022 Maxwell G <gotmax@e.email> - 0.4.1-1
- Update to 0.4.1. Fixes rhbz#2154521.

* Fri Nov 25 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.4.0-1
- update to version 0.4.0 (#2148311)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 09 2022 chedi toueiti <chedi.toueiti@gmail.com> - 0.3.5-4
- clean up and modernization of the spec file

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.3.5-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 chedi <chedi.toueiti@gmail.com> - 0.3.5-1
- updating to version 0.3.5 (#2003693)

* Wed Sep 01 2021 chedi <chedi.toueiti@gmail.com> - 0.3.2-2
- RPMAUTOSPEC: unresolvable merge

## END: Generated by rpmautospec
